"""
Vi invitiamo a giocare con il codice che abbiamo scritto per voi 
e ad apportare alcune modifiche (forse anche
distruttive). Sentitevi liberi di modificare qualsiasi parte del
codice, ma a una condizione: imparate dai vostri errori
e traete le vostre conclusioni.

print(" *")
print(" * *")
print(" * *")
print(" * *")
print("*** ***")
print(" * *")
print(" * *")
print(" *****")

Cercate di:
• ridurre al minimo il numero di invocazioni della funzione print() inserendo la sequenza \n nelle stringhe
• rendere la freccia due volte più grande (ma mantenendo le proporzioni)
• duplicare la freccia, affiancando le due frecce; nota: una stringa può essere moltiplicata utilizzando il seguente
trucco: "stringa" * 2 produrrà "stringastringa" (ve ne parleremo presto)
• rimuovete le virgolette e osservate attentamente la risposta di Python; prestate attenzione al punto in cui
Python vede un errore: è questo il punto in cui l'errore esiste davvero?
• fare lo stesso con alcune parentesi;
• cambiate una qualsiasi delle parole print in qualcos'altro, differendo solo nel caso (ad esempio, Print) - cosa
succede ora?
• sostituite alcune delle virgolette con degli apostrofi; osservate attentamente cosa succede.
"""

print("   *")
print("  * *")
print(" *   *")
print("*     *")
print("*** ***")
print("  * *")
print("  * *")
print("  ***")

# ------------------------

print("   *","\n  * *","\n *   *","\n*     *","\n*** ***","\n  * *","\n  * *","\n  ***")

## -----------------------
print("   *","\n  *  *","\n *    *","\n*      *","\n***  ***","\n  *  *","\n  *  *","\n  ****",sep="\n")

## -----------------------
print("   *     "*2,"  * *    "*2," *   *   "*2,"*     *  "*2,"*** ***  "*2,"  * *    "*2,"  * *    "*2,"  ***    "*2,sep="\n")